function partition(array, predicate) {
    const pass = [];
    const fail = [];
    for (const item of array){
        const result = predicate(item) ? pass : fail;
        result.push(item);
    }
    return [
        pass,
        fail
    ];
}
export { partition };
